# The URL the site will be built for
base_url = "https://alterlitera.net"
title = "AlterLitera"
description = "Various things."

# The site theme to use.
theme = "adidoks"

# The default language; used in feeds and search index
# Note: the search index doesn't support Chinese/Japanese/Korean Languages
default_language = "en"

# Whether to automatically compile all Sass files in the sass directory
compile_sass = true

# Whether to generate a feed file for the site
generate_feed = true

# When set to "true", the generated HTML files are minified.
minify_html = true

# The taxonomies to be rendered for the site and their configuration.
taxonomies = [
  {name = "authors"}, # Basic definition: no feed or pagination
]

# Whether to build a search index to be used later on by a JavaScript library
# When set to "true", a search index is built from the pages and section
# content for `default_language`.
build_search_index = true

[search]
# Whether to include the title of the page/section in the index
include_title = true
# Whether to include the description of the page/section in the index
include_description = true
# Whether to include the rendered content of the page/section in the index
include_content = true

[markdown]
# Whether to do syntax highlighting.
# Theme can be customised by setting the `highlight_theme`
# variable to a theme supported by Zola
highlight_code = true

[extra]
# Put all your custom variables here
gitlab = "https://gitlab.com/io.services/alterlitera.net/website"

# If running on netlify.app site, set to true
is_netlify = false

# Set HTML file language
language_code = "en-US"

# Set theme-color meta tag for Chrome browser
theme_color = "#fff"

# More about site's title
title_separator = "|"  # set as |, -, _, etc
title_addition = "Various things."


# Set date format in blog publish metadata
timeformat = "%B %e, %Y" # e.g. June 14, 2021
timezone = "America/New_York"

# Edit page on reposity or not
edit_page = false
docs_repo = "https://gitlab.com/io.services/alterlitera.net/website"
repo_branch = "main"

## Math settings
# options: true, false. Enable math support globally,
# default: false. You can always enable math on a per page.
math = false
library = "katex"  # options: "katex", "mathjax". default is "katex".

## Open Graph + Twitter Cards
# [extra.open]
# enable = false
# # this image will be used as fallback if a page has no image of its own
# image = "doks.png"
# twitter_site = "aaranxu"
# twitter_creator = "aaranxu"
# facebook_author = "ichunyun"
# facebook_publisher = "ichunyun"
# og_locale = "en_US"

## JSON-LD
[extra.schema]
type = "Organization"
logo = ""
twitter = ""
linked_in = ""
github = ""
section = "blog" # see config.extra.main~url
## Sitelinks Search Box
site_links_search_box = false


# Menu items
[[extra.menu.main]]
name = "Things"
section = "things"
url = "/things/preface"
weight = 10

# [[extra.menu.main]]
# name = "Blog"
# section = "blog"
# url = "/blog/"
# weight = 20

[[extra.menu.social]]
name = "GitHub"
pre = '<svg xmlns="http://www.w3.org/2000/svg" height="20" width="20" viewBox="20 20 300 300" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-github"><defs><style>.cls-1{fill:none;}</style></defs><g id="LOGO"><path class="cls-1" d="M282.83,170.73l-.27-.69-26.14-68.22a6.81,6.81,0,0,0-2.69-3.24,7,7,0,0,0-8,.43,7,7,0,0,0-2.32,3.52l-17.65,54H154.29l-17.65-54A6.86,6.86,0,0,0,134.32,99a7,7,0,0,0-8-.43,6.87,6.87,0,0,0-2.69,3.24L97.44,170l-.26.69a48.54,48.54,0,0,0,16.1,56.1l.09.07.24.17,39.82,29.82,19.7,14.91,12,9.06a8.07,8.07,0,0,0,9.76,0l12-9.06,19.7-14.91,40.06-30,.1-.08A48.56,48.56,0,0,0,282.83,170.73Z"/></g></svg>'
url = "https://gitlab.com/io.services/alterlitera.net/website"
weight = 10

# Footer contents
[extra.footer]
info = 'Since 12775 SHC <h6><a href="/things/things/shc/">What year is this?</a></h6>'

[[extra.footer.nav]]
name = "Privacy"
url = "/privacy-policy/"
weight = 10

[[extra.footer.nav]]
name = "Open Source"
url = "/open-source/"
weight = 20
